Subject: Re: [bitcoin-dev] This thread is not about the soft/hard fork technical debate

From: Luke Dashjr <[email-masked]>
Date: Mon, 5 Oct 2015 16:51:57 +0000

On Monday, October 05, 2015 3:56:33 PM Sergio Demian Lerner via bitcoin-dev 
wrote:
> Some of the people on this mailing list are blindly discussing the
> technicalities of a soft/hard fork without realizing that is not Mike's
> main intention. At least I perceive (and maybe others too) something else
> is happening.
> 
> Let me try to clarify: the discussion has nothing to do with technical
> arguments. I generally like more hard forks than soft forks (but I won't
> explain why because this is not a technical thread), but for CLTV this is
> quite irrelevant (but I won't explain why..), and I want CLTV to be
> deployed asap.
> 
> Mike's intention is to criticize the informal governance model of Bitcoin
> Core development and he has strategically pushed the discussion to a
> dead-end where the group either:
> 
> 1) ignores him, which is against the established criteria that all
> technical objections coming from anyone must be addressed until that person
> agrees, so that a change can be uncontroversial. If the group moves forward
> with the change, then the "uncontroversial" criteria is violated and then
> credibility is lost. So a new governance model would be required for which
> the change is within the established rules.
> 
> 2) respond to his technical objections one after the other, on never ending
> threads, bringing the project to a standstill.
> 
> As I don't want 2) to happen, then 1) must happen, which is what Mike
> wants. I have nothing for or against Mike personally. I just think Mike
> Hearn has won this battle. But having a more formal decision making process
> may not be too bad for Bitcoin, maybe it can actually be good.

This discussion is *necessarily* about soft/hard fork technicalities, as 
there is no governance in Bitcoin beyond the *nature* of the consensus 
protocol. The "established criteria" you mention is merely the nature of 
hardforks. It is completely inapplicable and has never been the necessary 
case for softforks, which can be enforced by merely a miner majority.

Luke